Disable 'done' action on live extension inspectors and extension preview dialogs by default
Closed, ResolvedPublic8 Story Points

Description

Only enable the 'done' action if an inspector/dialog is in a state that would result in either inserting a non-empty node or changing the mwData attribute of an existing node.

If the ability to insert an empty node is desirable for a particular node type, this behaviour can be overridden.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2017, 10:25 PM
Tchanders renamed this task from Disable 'done' action on inspectors and dialogs by default to Disable 'done' action on live extension inspectors and extension preview dialogs by default.Jan 14 2017, 11:12 PM

Change 332084 had a related patch set uploaded (by Tchanders):
Update actions on live inspectors and preview dialogs

https://gerrit.wikimedia.org/r/332084

Jdforrester-WMF triaged this task as Normal priority.Jan 17 2017, 8:24 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 332084 merged by jenkins-bot:
Update actions on live inspectors and preview dialogs

https://gerrit.wikimedia.org/r/332084

Jdforrester-WMF closed this task as Resolved.Jan 25 2017, 1:43 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 14 2017, 7:49 PM